import 'dart:collection';

import 'package:enge/makers/maker.dart';
import 'package:enge/support/io.dart';

class ComponentMaker extends Maker {
  String name;

  ComponentMaker(String name) {
    this.name = name;
  }

  @override
  String getTemplatePath() {
    return IO.joinWhere('makers', 'templates', 'component_template.template');
  }

  @override
  String getTargetPath() {
    final dartFileName = this.name.toLowerCase() + '_component.dart';

    return IO.joinOnWorkingDir('lib', 'components', dartFileName);
  }

  @override
  HashMap<String, String> getVariables() {
    final variables = HashMap<String, String>();
    variables['COMPONENT_NAME'] = this.name + 'Component';

    return variables;
  }
}
