import 'dart:collection';

import 'package:enge/makers/maker.dart';
import 'package:enge/support/io.dart';

class PageMaker extends Maker {
  String name;

  PageMaker(String name) {
    this.name = name;
  }

  @override
  String getTemplatePath() {
    return IO.joinWhere('makers', 'templates', 'page_template.template');
  }

  @override
  String getTargetPath() {
    final dartFileName = this.name.toLowerCase() + '_page.dart';

    return IO.joinOnWorkingDir('lib', 'pages', dartFileName);
  }

  @override
  HashMap<String, String> getVariables() {
    final variables = HashMap<String, String>();
    variables['PAGE_NAME'] = this.name + 'Page';

    return variables;
  }
}
